Bug 216278 - x11-drivers/xf86-input-wacom: minor clean-up
Summary: x11-drivers/xf86-input-wacom: minor clean-up
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jan Beich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-19 21:00 UTC by Matthew Rezny
Modified: 2017-02-15 10:08 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (jbeich)


Attachments
clean up of x11-drivers/xf86-input-wacom (821 bytes, patch)
2017-01-19 21:00 UTC, Matthew Rezny
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Rezny freebsd_committer 2017-01-19 21:00:36 UTC
Created attachment 179092 [details]
clean up of x11-drivers/xf86-input-wacom

Trim a few USES and USE_XORG items that are not needed. Removal of install-strip assumes PR216269. Checked with poudriere on 10 i386/amd64 and 11 i386/amd64/ppc64.
Comment 1 Jan Beich freebsd_committer 2017-01-19 21:36:34 UTC
Comment on attachment 179092 [details]
clean up of x11-drivers/xf86-input-wacom

> -USES=		tar:bzip2 pathfix pkgconfig libtool
> +USES=		tar:bzip2 pathfix

tar:bzip2 can be dropped as well.

> +USE_XORG=	x11 xext xinerama xrandr
> -LDFLAGS+=	-Wl,--as-needed # Xext

Why? -Wl,--as-needed is used to garbage-collect unused libraries that make the package less flexible on upgrades e.g., due to SOVERSION bumps. This is shorter and less error-prone than doing the following:

post-patch:
	@${REINPLACE_CMD} \
		-e '/XPROTOS/s/ xext//' \
		-e '/LIBS=/s/-lm//' \
[...]
		${WRKSRC}/configure

> -INSTALL_TARGET=	install-strip

Better move such cleanup into bug 216269.
Comment 2 Matthew Rezny freebsd_committer 2017-01-24 14:07:18 UTC
(In reply to Jan Beich (mail not working) from comment #1)
You are right that tar:bzip2 is unneeded in USES because bsd.xorg.mk sets that for us. I had overlooked that detail.

Regarding the LD_FLAGS, it was not clear what purpose those served. I could only guess from the terse comment that it was meant to compensate for xext missing from UES_XORG. If those linker flags still have a purpose after adding xext to the XORG_USES then of course that line should remain.